## org.gnu.gdk
Class JoinStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.JoinStyle

public class JoinStyle
extends org.gnu.glib.Enum

Field Summary
`static JoinStyle` `BEVEL` The sides of the two lines are joined by a straight line which makes an equal angle with each line.
`static JoinStyle` `MITER` The sides of each line are extended to meet at an angle.
`static JoinStyle` `ROUND` The sides of the two lines are joined by a circular arc.

Method Summary
`JoinStyle` `and(JoinStyle other)`
`static JoinStyle` `intern(int value)`
`JoinStyle` `or(JoinStyle other)`
`boolean` `test(JoinStyle other)`
`JoinStyle` `xor(JoinStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MITER

    public static final JoinStyle MITER

  The sides of each line are extended to meet at an angle.

### ROUND

    public static final JoinStyle ROUND

  The sides of the two lines are joined by a circular arc.

### BEVEL

    public static final JoinStyle BEVEL

  The sides of the two lines are joined by a straight line which makes an equal angle with each line.

Method Detail

### intern

    public static JoinStyle intern(int value)

### or

    public JoinStyle or(JoinStyle other)

### and

    public JoinStyle and(JoinStyle other)

### xor

    public JoinStyle xor(JoinStyle other)

### test

    public boolean test(JoinStyle other)